#!/bin/bash
set -e

spreadsheet="$1"
end="${2:-Clef AXIOM}"

normalize_name () {
  echo $* | sed -e 's/[^ -]\+/\L\u&/g' -e 's/ De / de /g'
}

while read line; do
  eval member=( $line )
  if [ "${member[0]}" = "$end" ]; then
    break
  fi
  number="${member[0]}"
  if [ -z "$number" ]; then
    continue
  fi
  lastname="$(normalize_name "${member[3]}")"
  firstname="$(normalize_name "${member[4]}")"
  nickname="${member[5]}"
  nickname="${nickname:-${member[6]}}"
  key="${member[9]}"
  if [ -z "$number" ] || [ -z "$key" ]; then
    continue
  fi

  ./create-badge.sh "$number" "$lastname $firstname" "$nickname" "$key"
done < <(xlsx2csv -q all -d '	' "$spreadsheet" | tail +3)
